import com.imsl.chart.*;
import java.awt.Color;
import com.imsl.stat.Random;

public class SampleScatter extends JFrameChart {

    public SampleScatter() {
        Random r = new Random(123457);
        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        axis.getAxisX().getAxisTitle().setTitle("X Axis");
        axis.getAxisY().getAxisTitle().setTitle("Y Axis");
        axis.setDataType(Data.DATA_TYPE_MARKER);
        
        // Data set 1
        double y1[] = new double[20];
        for (int k = 0;  k < y1.length;  k++)  y1[k] = r.nextDouble();
        Data data1 = new Data(axis, y1);
        data1.setDataType(Data.DATA_TYPE_MARKER);
        data1.setMarkerType(Data.MARKER_TYPE_FILLED_SQUARE);
        data1.setMarkerColor(Color.green);
        
        // Data set 2
        double y2[] = new double[15];
        for (int k = 0;  k < y2.length;  k++)  y2[k] = r.nextDouble();
        Data data2 = new Data(axis, y2);
        data2.setMarkerType(Data.MARKER_TYPE_PLUS);
        data2.setMarkerColor(Color.blue);
    }
    
    public static void main(String argv[]) {
        new SampleScatter().setVisible(true);
    }
}